org.apache.tapestry5.ioc.services

## Enum Status

- java.lang.Object
- - java.lang.Enum<Status>
  - - org.apache.tapestry5.ioc.services.Status

- All Implemented Interfaces:
    Serializable, Comparable<Status>

      public enum Status
      extends Enum<Status>

  Used in `ServiceActivity` to identify the state of the service in terms of its overall lifecycle.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BUILTIN` A builtin service that exists before the `Registry` is constructed.
    `DEFINED` The service is defined in a module, but has not yet been referenced.
    `REAL` A service implementation for the service has been created.
    `VIRTUAL` A proxy has been created for the service, but no methods of the proxy have been invoked.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BUILTIN

          public static final Status BUILTIN

      A builtin service that exists before the `Registry` is constructed.

    - #### DEFINED

          public static final Status DEFINED

      The service is defined in a module, but has not yet been referenced.

    - #### VIRTUAL

          public static final Status VIRTUAL

      A proxy has been created for the service, but no methods of the proxy have been invoked.

    - #### REAL

          public static final Status REAL

      A service implementation for the service has been created.

  - ### Method Detail

    - #### values

          public static Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Status c : Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.